Annotations
POST
/v1/orgs/{org_id}/traces/{trace_id}/annotationsCreate Annotation
Annotate a trace as false positive, false negative, correct, or acceptable.
CI or Admin tokenscope: writeoperation_id: annotations.create
Authentication
Requires a CI- or admin-level token. Runtime tokens are rejected for mutations.
SDK install
pip install znyx-sdknpm install @znyx/sdkHeader parameters
| Name | Type | Required | Description |
|---|---|---|---|
| X-API-Key#header | string | null | optional | — |
| authorization#header | string | null | optional | — |
Request bodyrequired
| Field | Type | Required | Description |
|---|---|---|---|
| annotation | string | required | false_positive, false_negative, correct, or acceptable |
| detector_name | string | null | optional | — |
| notes | string | null | optional | — |
| annotated_by | string | null | optional | — |
Responses
| Status | Description |
|---|---|
| 200 | Successful Response |
| 422 | Validation Error |
Response schema
idrequiredstring
trace_idrequiredstring
annotationrequiredstring
detector_namestring | null
notesstring | null
annotated_bystring | null
created_atstring | null
Errors & what triggers them
| Code | Trigger | Fix |
|---|---|---|
| 401 | Missing or expired Authorization header. | — |
| 403 | Token does not have the required role (admin / editor). | — |
| 404 | Target resource does not exist in this org. | — |
| 422 | Request body failed validation. | — |
Request
curl -X POST 'https://api.znyx.ai/v1/orgs/00000000-0000-0000-0000-000000000000/traces/00000000-0000-0000-0000-000000000000/annotations' \
-H 'Authorization: Bearer $ZNYX_TOKEN' \
-H 'Content-Type: application/json' \
-d '{
"annotation": "string",
"detector_name": null,
"notes": null,
"annotated_by": null
}'Response
application/json
Successful Response
{
"id": "string",
"trace_id": "string",
"annotation": "string",
"detector_name": null,
"notes": null,
"annotated_by": null,
"created_at": null
}Schema: object